<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.model.mapper.AppletLicenseMapper">
    
    <resultMap type="AppletLicense" id="AppletLicenseResult">
        <result property="id"    column="id"    />
        <result property="title"    column="title"    />
        <result property="image"    column="image"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectAppletLicenseVo">
        select id, title, image, del_flag, create_by, create_time, update_by, update_time from applet_license
    </sql>

    <select id="selectAppletLicenseList" parameterType="AppletLicense" resultMap="AppletLicenseResult">
        <include refid="selectAppletLicenseVo"/>
        <where>  
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="image != null  and image != ''"> and image = #{image}</if>
        </where>
    </select>
    
    <select id="selectAppletLicenseById" parameterType="AppletLicense" resultMap="AppletLicenseResult">
        <include refid="selectAppletLicenseVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppletLicense" parameterType="AppletLicense" useGeneratedKeys="true" keyProperty="id">
        insert into applet_license
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null and title != ''">title,</if>
            <if test="image != null">image,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null and title != ''">#{title},</if>
            <if test="image != null">#{image},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateAppletLicense" parameterType="AppletLicense">
        update applet_license
        <trim prefix="SET" suffixOverrides=",">
            <if test="title != null and title != ''">title = #{title},</if>
            <if test="image != null">image = #{image},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppletLicenseById" parameterType="Long">
        delete from applet_license where id = #{id}
    </delete>

    <delete id="deleteAppletLicenseByIds" parameterType="String">
        delete from applet_license where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>